Subject: bug#38153: 26.3; nxml with ENTITY: single quote misinterpreted as string delimiter

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Nov 2019 07:00:48 +0100

Jay Berkenbilt <[email-masked]> writes:

> Create a file with the name "a.xml" and the following contents (between
> the rows of dashes):
>
> -------
> <?xml version="1.0"?>
> <!DOCTYPE anything [
> <!ENTITY any "&#x03C0;">
> ]>
> <anything>
>   This is a quote, but it's not starting a string.
> </anything>
> -------
>
> Observe that everything after the "'" is treated syntactically as a
> string. This shows with the fontification of the following text, but it
> also effects the behavior. For example, if you type <x> after the word
> "quote" and then hit C-c C-f, the closing tag </x> is inserted as
> expected. However, if you type <x> after the word "not", C-c C-f
> erroneously attempts to close the <anything> tag.

I'm not able to reproduce this bug in Emacs 27, but I am able to
reproduce it in Emacs 26.3, so I think this has been fixed already.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no